%define major 2
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

Summary:	A validating, recursive, and caching DNS resolver
Name:		unbound
Version:	1.6.8
Release:	2
License:	BSD
Group:		System/Servers
Url:		https://unbound.net
Source0:	%{name}-%{version}.tar.gz
Source1:	%{name}-tmpfiles.conf
Source2:	%{name}.service
Source3:	%{name}_rosa.conf
BuildRequires:	bison
BuildRequires:	doxygen
BuildRequires:	flex
BuildRequires:	nss-devel
BuildRequires:	openssl-devel
BuildRequires:	expat-devel
BuildRequires:	libevent-devel
Requires(pre,post,preun,postun):	rpm-helper

%description
Unbound is a validating, recursive, and caching DNS resolver. The C
implementation of Unbound is developed and maintained by NLnet
Labs. It is based on ideas and algorithms taken from a java prototype
developed by Verisign labs, Nominet, Kirei and ep.net. Unbound is
designed as a set of modular components, so that also DNSSEC (secure
DNS) validation and stub-resolvers (that do not run as a server, but
are linked into an application) are easily possible.

%files
%doc README
%config(noreplace) %{_sysconfdir}/%{name}/*.conf
%{_sbindir}/%{name}*
%{_mandir}/man1/%{name}*.1*
%{_mandir}/man5/%{name}*.5*
%{_mandir}/man8/%{name}*.8*
%{_tmpfilesdir}/%{name}.conf
%{_unitdir}/%{name}.service

%pre
%_pre_useradd %{name} /dev/null /bin/false

%post
%tmpfiles_create %{_tmpfilesdir}/%{name}.conf
%_post_service %{name}

%preun
%_preun_service %{name}

%postun
%_postun_userdel %{name}

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Shared library for Unbound
Group:		System/Libraries

%description -n %{libname}
Shared library for Unbound.

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}
%{_libdir}/lib%{name}.so.%{major}.*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Development headers and libraries for Unbound
Group:		Development/C
Requires:	%{libname} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}

%description -n %{devname}
Development headers and libraries for Unbound.

%files -n %{devname}
%{_includedir}/*.h
%{_libdir}/lib%{name}*.so
%{_mandir}/man3/*.3.*

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%configure2_5x \
	--disable-rpath \
	--with-libevent \
	--disable-static
%make

%install
%make_install
install -D -p -m 0644 %{buildroot}%{_sysconfdir}/%{name}/unbound.conf %{buildroot}%{_docdir}/%{name}/unbound.conf
install -D -p -m 0644 %{SOURCE1} %{buildroot}%{_tmpfilesdir}/%{name}.conf
install -D -p -m 0644 %{SOURCE2} %{buildroot}%{_unitdir}/%{name}.service
install -D -p -m 0644 %{SOURCE3} %{buildroot}%{_sysconfdir}/%{name}/%{name}.conf


%changelog

* Tue Jul 10 2018 Denis Silakov <denis.silakov@rosalab.ru> 1.6.8-2
- (c5cefee) Rebuild with new libevent


